<?php

namespace Shopping\Review\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReviewTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Review\Models\Review $review)
    {
        return [
            'id'                => $review->getRouteKey(),
            'key'               => [
                'public'    => $review->getPublicKey(),
                'route'     => $review->getRouteKey(),
            ], 
            'id'                => $review->id,
            'user_id'           => $review->user_id,
            'user_type'         => $review->user_type,
            'product_id'        => $review->product_id,
            'title'             => $review->title,
            'description'       => $review->description,
            'status'            => $review->status,
            'score'             => $review->score,
            'created_at'        => $review->created_at,
            'updated_at'        => $review->updated_at,
            'deleted_at'        => $review->deleted_at,
            'url'               => [
                'public'    => trans_url('review/'.$review->getPublicKey()),
                'user'      => guard_url('review/review/'.$review->getRouteKey()),
            ], 
            'status'            => trans('app.'.$review->status),
            'created_at'        => format_date($review->created_at),
            'updated_at'        => format_date($review->updated_at),
        ];
    }
}